%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major		0
%define api		1
%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d

Summary:	An extension library to Xfce desktop environment
Name:		exo
Version:	0.10.2
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.xfce.org
Source:		http://archive.xfce.org/src/xfce/exo/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.9.0
BuildRequires:	pkgconfig(libxfce4ui-1) >= 4.9.0
BuildRequires:	intltool

%description
This is libexo, an extension library to Xfce, developed by os-cillation.
While Xfce comes with quite a few libraries that are targeted at
desktop development, libexo is targeted at application development.

%package -n %{libname}
Summary:	An extension library to Xfce
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}
#Added 01/2012 (wally)
Obsoletes:	%{_lib}%{name}-1_0 < 0.7.0

%description -n %{libname}
Main library for the libexo.

%package -n %{develname}
Summary:	Headers, static libraries and documentation for libexo
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}exo1_0-devel
Conflicts:	%{name} < 0.7.0

%description -n %{develname}
Headers, static libraries and documentation for libexo.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

# (tpg) already in %{_real_vendor}-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/helpers.rc

# don't ship .la
find %{buildroot} -name "*.la" -delete

%find_lang %{name}-%{api}

%files -f %{name}-%{api}.lang
%doc AUTHORS README ChangeLog TODO
%{_bindir}/exo*
%dir %{_libdir}/xfce4/%{name}-%{api}/
%{_libdir}/xfce4/%{name}-%{api}/exo-helper-%{api}
%{_libdir}/xfce4/%{name}-%{api}/exo-compose-mail-%{api}
%{_datadir}/applications/*.desktop
%{_datadir}/xfce4/helpers/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_mandir}/man1/exo*
%dir %{_datadir}/pixmaps/exo-%{api}/
%{_datadir}/pixmaps/exo-%{api}/exo-thumbnail-frame.png

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}*

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/%{name}-%{api}/
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_includedir}/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.10.2-3.mga3
+ Revision: 349868
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 0.10.2-2.mga3
+ Revision: 338288
- fix file list after %%_libexecdir change
- own some unowned dirs

* Thu Dec 27 2012 wally <wally> 0.10.2-1.mga3
+ Revision: 335697
- new version 0.10.2

* Sun Dec 09 2012 wally <wally> 0.10.1-1.mga3
+ Revision: 329088
- new version 0.10.1

* Mon Dec 03 2012 wally <wally> 0.10.0-1.mga3
+ Revision: 325978
- new version 0.10.0

* Sat Nov 10 2012 wally <wally> 0.9.1-1.mga3
+ Revision: 316888
- new version 0.9.1
- drop patches from upstream

* Sat Nov 10 2012 wally <wally> 0.9.0-2.mga3
+ Revision: 316842
- add patches from upstream
  * protect against null value (xfce#9418)
  * two build fixes with newer glib
- clean .spec a bit

* Sun Oct 14 2012 wally <wally> 0.9.0-1.mga3
+ Revision: 305443
- new version 0.9.0

* Mon May 28 2012 wally <wally> 0.8.0-1.mga3
+ Revision: 248460
- new version 0.8.0
- clean .spec

* Mon Feb 13 2012 wally <wally> 0.7.1-1.mga2
+ Revision: 208452
- remove unregistered value from .desktop files
- new version 0.7.1

* Tue Jan 03 2012 wally <wally> 0.7.0-1.mga2
+ Revision: 190010
- new version 0.7.0
- drop unused patches
- fix lib pkg name
- drop python subpkg
- clean BRs
- move docs to devel pkg and don't regenerate them on build time
- clean .spec a bit

* Tue Jun 21 2011 ahmad <ahmad> 0.6.2-1.mga2
+ Revision: 111222
- Update to 0.6.2
- Drop BR hal-devel, not used any more AFAICS
- Update the file list

* Thu Jan 27 2011 ahmad <ahmad> 0.6.0-2.mga1
+ Revision: 41628
- drop old unneeded scriptlets
- don't ship .a
- replace %%py_requires -d with python-devel
- imported package exo

